<?php


class Demo extends Page{
    function setMenu()
    {
        $this->menu_text = 'Demo';
        $this->menu_image = 'fas fa-do';
        $this->menu_priority = 5;
    }

    function setSubmenu()
    {
        //$this->addSubmenuItem('Hunde anzeigen','/dogs','far fa-list-alt');
        //$this->addSubmenuItem('Hund hinzufügen','/dogs/add','fas fa-plus-circle');
    }

    function test()
    {
        $u = new User();
        $u->load('Chris','firstname');
        var_dump($u->data);
    }

    function index()
    {
        $this->set('successTitle','Erfolgreich');
        $this->set('successMessage','Text davon');

        $this->set('errorMessage','Fehler ohne Titel');

        $this->set('template','demo.html');
    }
}